<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01
 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <title>Rakuten API sample</title>
  </head>
  <body>
<?php

//楽天から商品を検索してHTMLタグを返す関数
function search_rakuten($keyword,$limit){

  //developerIdを設定する
  $developerId = '取得したデベロッパーID';

  //affiliateIdを設定する
  $affiliateId = '取得したアフィリエイトID';

  //使用するAPIの操作名を設定する
  $operation = 'ItemSearch';

  //バージョンを設定する
  $version = '2009-04-15';

  //取得件数を設定する
  $hits = $limit;

  //検索キーワードをURLエンコードして設定する
  $text = urlencode($keyword);

  //人気の高い順に検索する
  $sort = urlencode("standard");

  //URLを生成する
  $url = 'http://api.rakuten.co.jp/rws/3.0/rest?'.
         'developerId='.$developerId.
         '&affiliateId='.$affiliateId.
         '&operation='.$operation.
         '&version='.$version.
         '&keyword='.$text.
         '&hits='.$hits.
         '&sort='.$sort;

  //RESTで返されるXMLファイルを取得する
  $str = file_get_contents($url);

  //XMLを解析してオブジェクトにセットする
  $xml = simplexml_load_string($str);

  //xpathによって､Item要素だけを取り出す
  $Items = $xml->xpath('//Items/Item');

  //divタグでくくる
  $ret = '<div id="rakuten_item">';

  //Item数だけ繰り返す
  foreach($Items as $Item){
    $ret .= '<a href="'.$Item->affiliateUrl.'">';
    $ret .= '<img src="'.$Item->mediumImageUrl.'" alt="'.$Item->itemName.'">';
    $ret .= "</a>\n";
  }

  //divタグを閉じる
  $ret .= '</div>';

  //作成したHTMLを返す
  return $ret;
}

//検索ワードを設定する
$keyword = "スイーツ";

//取得数を設定する
$limit = 5;

//楽天から商品を検索して表示する
echo search_rakuten($keyword,$limit);

?>
  <br>
<!-- Rakuten Web Services Attribution Snippet FROM HERE -->
<a href="http://webservice.rakuten.co.jp/" target="_blank">Supported by 楽天ウェブサービス</a>
<!-- Rakuten Web Services Attribution Snippet TO HERE -->
  </body>
</html>