<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
 "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Wikipedia API sample</title>
</head>
<body>
<h1>Wikipedia API sample</h1>
<?php
//文章が送信されているかチェックする
if(isset($_GET['keyword'])){

  //キーワードを取得する
  $keyword = $_GET['keyword'];

  //キーワードをURLエンコードする
  $keyword_enc = urlencode($_GET['keyword']);

  //Wikipedia APIへのリクエストURLを生成する
  $url = 'http://wikipedia.simpleapi.net/api?'.
          'keyword='.$keyword_enc.
          '&output=xml';

  //XMLファイルをパースし､オブジェクトに代入する
  $xml = simplexml_load_file($url);

  //返値をチェックする
  if($xml){
    //正常にパースできた場合
    echo "<h2>".htmlspecialchars($keyword,ENT_QUOTES)."</h2>\n";
    //一番最初にマッチした検索結果を表示する
    echo $xml->result->body;
  }else{
    //simplexml_load_file関数のパース時にエラーが発生した場合
    echo "エラー発生<br>";
  }
}
?>
<hr>
<p>検索キーワードを入力してください｡</p>
<form method="GET" action="wikipedia.php">
<input type="text" name="keyword" size="40">
<input type="submit" value="送信">
</form> 
<hr><p>powerd by <a href="http://wikipedia.simpleapi.net/">WikipediaAPI</a></p>
</body>
</html>