<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>コンテンツマッチアイテム Web API サンプル</title>
</head>
<body>
<h1>コンテンツマッチアイテム Web API サンプル</h1>

<?php
//コンテンツマッチアイテムWeb APIから検索してデータを返す関数
function contentsMatchItem($url){
  
  //アプリケーションID
  $appid = '登録したアプリケーションID';
  
  //解析方法(url:URLより解析,sentence:文章より解析)
  $type = 'url';
  
  //カテゴリID(0:全カテゴリ)
  $category = '0';
  
  //1回のリクエストで取得するオークション件数
  $results = '5';
  
  //出力形式の指定(xml:XML,php:PHPserialize,json:JSONPで出力)
  $output = 'php';

  //リクエストURLを生成する
  $requrl = 'http://auctions.yahooapis.jp/AuctionWebService/V1/contentsMatchItem?'.
          'appid='.$appid.
          '&type='.$type.
          '&url='.urlencode($url).
          '&category='.$category.
          '&results='.$results.
          '&output='.$output;
  
  //PHPserialize形式でオークション情報を取得
  $data = file_get_contents($requrl);
  
  //アンシリアライズ
  $data = unserialize($data);
  
  //返り値を初期化
  $res = "";
  
  //返された値の個数だけ繰り返す
  for($i=0;$i<$data['ResultSet']['totalResultsReturned'];$i++){
    
    //画像を表示
    $res .= '<img src="'.$data['ResultSet']['Result'][$i]['Image']['Url'].'">'."<br>\n";
    
    //商品タイトルとリンクを表示
    $res .= '<a href="'.$data['ResultSet']['Result'][$i]['AuctionItemUrl'].'">'.$data['ResultSet']['Result'][$i]['Title'].'</a>'."<br><br>\n";
  }
  
  //取得､整形したデータを返す
  return $res;
}

//解析対象のURL
$url = 'http://www.kohgakusha.co.jp/';

//コンテンツマッチアイテムWeb APIから検索してデータを表示する
echo contentsMatchItem($url);

?>

<!-- Begin Yahoo! JAPAN Web Services Attribution Snippet -->
<span style="margin:15px 15px 15px 15px"><a href="http://developer.yahoo.co.jp/about">Webサービス by Yahoo! JAPAN</a></span>
<!-- End Yahoo! JAPAN Web Services Attribution Snippet -->
</body>
</html>