<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Yahoo! テキスト解析ルビ振りAPI サンプル</title>
</head>
<body>
<h1>Yahoo! テキスト解析ルビ振りAPI サンプル</h1>

<?php

//文章が送信されているかチェックする
if(isset($_POST['sentence'])){

  //アプリケーションIDを設定する
  $appid = '取得したアプリケーションID ';
  
  //学年(1は小学1年生向け)を指定する
  $grade = '1';
  
  //ふりがなを付ける対象のテキストをURLエンコードする
  $sentence = urlencode($_POST['sentence']);

  //リクエストURLを組み立てる
  $url = 'http://jlp.yahooapis.jp/FuriganaService/V1/furigana?'.
         'appid='.$appid.
         '&grade='.$grade.
         '&sentence='.$sentence;

  //XMLファイルをパースし､オブジェクトに代入する
  $xml = simplexml_load_file($url);

  //正常にパースできていれば､ルビを付けて表示する
  if($xml){
    //表示用の文字列変数を初期化
    $tmp = "";
    
    //繰り返し処理する
    foreach($xml->Result as $Result){
      foreach($Result->WordList as $WordList){
        foreach($WordList->Word as $Word){
          
          //単語の表記を取得する
          $tmp .= $Word->Surface;
          
          //振り仮名情報があれば()を付けて取得する
          if(isset($Word->Furigana)){
            $tmp .= '('.$Word->Furigana.')';
          }
        }
      }
    }
    //表示する
    echo "<p>変換しました｡</p>\n";
    echo "<p><strong>".htmlspecialchars($tmp,ENT_QUOTES)."</strong></p>\n";
  }else{
    echo "エラー発生";
  }
}

?>

<p>ルビを振りたい文章を入力してください</p>
<form method="POST" action="furigana.php">
<input type="text" name="sentence" size="80">
<input type="submit" value="送信">
</form>
<p>
<!-- Begin Yahoo! JAPAN Web Services Attribution Snippet -->
<span style="margin:15px 15px 15px 15px"><a href="http://developer.yahoo.co.jp/about">Webサービス by Yahoo! JAPAN</a></span>
<!-- End Yahoo! JAPAN Web Services Attribution Snippet -->
</p>
</body>
</html>