<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<title>JSChart WebサービスAPI サンプル</title>
</head>
<body>
<h1>JSChart WebサービスAPI サンプル</h1>
<hr>
<?php

// JSChartグラフ作成関数
// plot:プロット名,data:データ配列,graphtype:グラフタイプ
// width:グラフの横サイズ,height:グラフの縦サイズ
function makeJsChart($plot, $data, $graphtype = "1", $width = "300", $height = "300"){
  
  //リクエストURL
  $url = "http://www.jschart.jp/t/";
  
  //パラメータ組み立て
  $url .= "?gt=".$graphtype."&w=".$width."&h=".$height."&"."gd[".urlencode($plot)."]=".implode(",", $data);
  
  //スクリプト・コードを返す
  return '<script type="text/javascript" charset="utf-8" src="'.$url.'"></script>';

}

//プロット名
$plot= "テスト";

//データ
$data = array("10", "20", "100", "50", "70");

//グラフを表示
echo makeJsChart($plot, $data);
echo makeJsChart($plot, $data,2,200,250);
echo makeJsChart($plot, $data,3,400,200);

?>

<p>Powered by <a href="http://www.jschart.jp/products/api.php">WebサービスAPI - JSChart -</a></p>
</body>
</html>