<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>livedoor グルメAPI サンプル</title>
</head>
<body>
<h1>livedoor グルメAPI サンプル</h1>
<?php
//送信されたワードがあるかチェックする
if( isset($_GET['q']) && ($_GET['q'] != "") ){
  //検索キーワードを設定する
  $address = urlencode($_GET['q']);
  
  //APIリクエストURL
  $url = "http://api.gourmet.livedoor.com/";
  
  //VERSION
  $VERSION = "v1.0";
  
  //CONTENT
  $CONTENT = "restaurant";
  
  //API_KEY
  $API_KEY = "取得したAPIキー";

  //アクセスURL設定
  $url = $url.$VERSION."/".$CONTENT."/?API_KEY=".$API_KEY."&address=".$address;
  
  //XMLファイルをパースし、オブジェクトに代入する
  $data = simplexml_load_file($url);
  
  //返り値をチェックする
  if($data){
    //restaurant数だけ繰り返す
    foreach ($data->restaurant as $restaurant) {
      echo "<h2><a href=\"".$restaurant->permalink."\">".$restaurant->name."</a></h2>\n";
      echo "<table>";
      echo "<tr><th>住所</th><td><a href=\"http://maps.google.co.jp/maps?q=".urlencode($restaurant->address)."\">".$restaurant->address."</a></td></tr>";
      echo "<tr><th>電話番号</th><td>".$restaurant->tel."</td></tr>";
      echo "</table>\n";
    }
  }
}else{
  // 検索ワードが未入力の場合
  echo "<p>検索ワードを入力してください。</p>\n";
}
?>
<form method="GET" action="livedoorgourmet.php">
<input type="text" name="q" size="80">
<input type="submit" value="送信"></p>
</form>
<hr>
<a href="http://gourmet.livedoor.com/"><img src="http://gourmet.livedoor.com/img/api/ld_gourmet_135-17.gif" width="135" height="17" alt="livedoor グルメ API" title="livedoor グルメ API" /></a>
</body>
</html>