<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <title>最寄り駅Webサービス &amp; 最寄り駅モバイル地図 sample</title>
  </head>
  <body>
  <h1>最寄り駅Webサービス &amp; 最寄り駅モバイル地図 sample</h1>
<?php

//最寄り駅Webサービスから検索してHTMLタグを返す関数
function search_map($keyword){

  //地図画像取得ベースURL
  $baseurl1 = "http://map.simpleapi.net/stationmap";
  
  //検索地域設定(エンコードして設定)
  $map = urlencode($keyword);
  
  //地図画像用API設定
  $req1 = $baseurl1."?p=".$map;
  
  //地図画像を表示
  $ret = '<img src="'.$req1.'"><br>';
  
  //最寄り駅情報取得ベースURL
  $baseurl2 = "http://map.simpleapi.net/stationapi";
  
  //最寄り駅情報取得API設定
  $req2 = $baseurl2."?p=".$map;
  
  //XMLファイルをパースし､オブジェクトに代入する
  $xml = simplexml_load_file($req2);
  
  //取得したXMLファイルの内容を表示する時は､下記コメントを外す
  //var_dump($xml);
  
  //取得できた駅の数だけ繰り返して表示する
  foreach($xml->station as $station) {
  $ret .= "\n<strong>".$station->name."</strong>";
    $ret .= "(".$station->furigana.")：";
    $ret .= $station->line."<br>&nbsp";
    $ret .= $station->direction."方向へ";
    $ret .= $station->distanceM;
    $ret .= "(".$station->traveltime.")<br>";
  }
	return $ret;
}

//検索ワードを設定する
$keyword = "秋葉原";

//最寄り駅Webサービスを利用する
echo search_map($keyword);

?>
<p>powerd by <a href="http://map.simpleapi.net/">SimpleAPI vol.2 - 最寄り駅Webサービス &amp; 最寄り駅モバイル地図</a></p>
</body>
</html>
