<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Yahoo! かな漢字変換 API サンプル</title>
</head>
<body>
<h1>Yahoo! かな漢字変換 API サンプル</h1>

<?php

//文章が送信されているかチェックする
if(isset($_POST['sentence'])){
  
  //アプリケーションIDなどのパラメータを設定する
  $appid = 'アプリケーションID';
  $sentence = urlencode($_POST['sentence']);
  
  //リクエストURLを生成する
  $url = 'http://jlp.yahooapis.jp/JIMService/V1/conversion?'.
          'appid='.$appid.
          '&sentence='.$sentence;
  
  //XMLファイルをパースし､オブジェクトに代入する
  $xml = simplexml_load_file($url);
  
  //変換前と変換後のテキスト変数初期化
  $before = "変換前：";
  $after = "変換後：";
  
  //返値をチェックする
  if($xml){
    //正常にパースできた場合
    echo "かな漢字変換しました｡<hr>\n";
    
    //繰り返し処理する
    foreach($xml->Result->SegmentList->Segment as $Segment){
      //変換前の単語を表示する
      $before .= htmlspecialchars($Segment->SegmentText,ENT_QUOTES);
      
      //変換候補の最初の候補単語を表示する
      $after .= htmlspecialchars($Segment->CandidateList->Candidate[0],ENT_QUOTES);
    }
    
    //出力
    echo $before.'<br>'.$after;
  }else{
    //simplexml_load_file関数のパース時にエラーが発生した場合
    echo "エラー発生<br>";
  }
}

?>

<hr>
<p>かな漢字変換したい文章を入力してください｡</p>
<form method="POST" action="conversion.php">
<input type="text" name="sentence" size="80">
<input type="submit" value="送信">
</form> 
<br>
<!-- Begin Yahoo! JAPAN Web Services Attribution Snippet -->
<span style="margin:15px 15px 15px 15px"><a href="http://developer.yahoo.co.jp/about">Webサービス by Yahoo! JAPAN</a></span>
<!-- End Yahoo! JAPAN Web Services Attribution Snippet -->
</body>
</html>